Author: Tim Booth
Last-Update: 2011-04-12 08:39:38 +0000
Description: Lintian uses some string detection heuristics to spot statically linked Zlib
 and this string triggers the warning.  This change keeps Lintian happy and makes
 the error message grammatically correct.

--- a/gcdbz.cpp
+++ b/gcdbz.cpp
@@ -65,7 +65,7 @@ void GCdbz::compress_start() {
  err = deflate(&zstream, Z_FULL_FLUSH);
  zsize=zstream.total_out-t_out;
  if ((err !=Z_OK && err!=Z_STREAM_END) || zsize<=0)
-       GError("GCdbz error: deflate 1st record failed! (err=%d)\n", err);
+       GError("GCdbz error: deflating 1st record failed! (err=%d)\n", err);
  //now write the header and the dummy record
  //in case this was not done before:
  gcvt_endian_setup();
